# Ogre::TerrainGroup::LoadRequest Struct Reference

Structure for holding the load request. More...

`#include <OgreTerrainGroup.h>`

List of all members.

## Public Attributes

TerrainSlot * | slot
TerrainGroup * | origin

## Friends

_OgreTerrainExport friend std::ostream & | operator<< (std::ostream &o, const LoadRequest &r)

## Detailed Description

Structure for holding the load request.

Definition at line 510 of file OgreTerrainGroup.h.

## Friends And Related Function Documentation

_OgreTerrainExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const LoadRequest & | r |
| ) |  |  | `[friend]`

Definition at line 514 of file OgreTerrainGroup.h.

## Member Data Documentation

TerrainGroup* Ogre::TerrainGroup::LoadRequest::origin

Definition at line 513 of file OgreTerrainGroup.h.

TerrainSlot* Ogre::TerrainGroup::LoadRequest::slot

Definition at line 512 of file OgreTerrainGroup.h.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04